TechDraw Midpoints/ru: Difference between revisions

From FreeCAD Documentation
(Created page with "==Свойства==")
(Updating to match new version of source page)
(10 intermediate revisions by 2 users not shown)
Line 1: Line 1:
<languages/>
<languages/>


{{Docnav
{{Docnav/ru
|[[TechDraw_CosmeticVertex|CosmeticVertex]]
|[[TechDraw_CosmeticVertex/ru|Добавить вспомогательную вершину]]
|[[TechDraw_Quadrants|Quadrants]]
|[[TechDraw_Quadrants/ru|Добавить 4-ре вершины по краям окружности]]
|[[TechDraw_Module|TechDraw]]
|[[TechDraw_Workbench/ru|Верстак "TechDraw"]]
|IconL=TechDraw_CosmeticVertex.svg
|IconL=TechDraw_CosmeticVertex.svg
|IconR=TechDraw_Quadrants.svg
|IconR=TechDraw_Quadrants.svg
Line 10: Line 10:
}}
}}


<div class="mw-translate-fuzzy">
{{GuiCommand
{{GuiCommand/ru
|Name=TechDraw Midpoints
|Name/ru=Добавить вершины по центрам граней
|MenuLocation=TechDraw → Add Vertices → Add Midpoints Vertices
|Name=TechDraw_Midpoints
|Workbenches=[[TechDraw_Module|TechDraw]]
|MenuLocation=TechDraw → Добавить Вершины → Add Midpoints Vertices
|Workbenches=[[TechDraw_Workbench/ru|TechDraw]]
|Version=0.19
|Version=0.19
|SeeAlso=[[TechDraw_CosmeticVertex|TechDraw Cosmetic Vertex]], [[TechDraw_Quadrants|TechDraw Quadrant Vertices]]
|SeeAlso=[[TechDraw_CosmeticVertex/ru|Добавить вспомогательную вершину]], [[TechDraw_Quadrants/ru|Добавить 4-ре вершины по краям окружности]]
}}
}}
</div>


<span id="Description"></span>
==Описание==
==Описание==


The Midpoints tool adds Cosmetic [[Glossary#V|Vertices]] at the midpoints of one or more Edges.
The '''TechDraw Midpoints''' tool adds [[TechDraw_CosmeticVertex|cosmetic vertices]] at the midpoint of one or more selected edges.


[[Image:TechDraw_CosmeticMidpoint_Sample.png|250px]]
[[Image:TechDraw_CosmeticMidpoint_Sample.png|250px]]
{{Caption|Cosmetic Vertices at midpoints of Edges}}
{{Caption|Cosmetic vertices at the midpoint of edges}}


<span id="Usage"></span>
==Применение==
==Применение==


# Select one or more Edges in a View.
# Select one or more edges in a view.
# There are several ways to invoke the tool:
# Press the {{Button|[[Image:TechDraw_Midpoints.svg|16px]] Add Midpoint Vertices}} button
#* Press the {{Button|[[Image:TechDraw_Midpoints.svg|16px]] [[TechDraw_Midpoints|Add Midpoint Vertices]]}} button.
# Cosmetic Vertices will be added at the mid-point(s) of the Edge(s).
#* Select the {{MenuCommand|TechDraw → Add Vertices → [[Image:TechDraw_Midpoints.svg|16px]] Add Midpoint Vertices}} option from the menu.


==Notes==
To delete a Midpoint, select it and use the toolbar button {{Button|[[Image:TechDraw_CosmeticEraser.svg|16px]] [[TechDraw_CosmeticEraser|Remove Cosmetic Object]]}}.


* The created cosmetic vertices are not parametrically linked to the selected edges.
* To delete a cosmetic vertex select it and press {{KEY|Delete}}. {{Version|0.22}}

<span id="Properties"></span>
==Свойства==
==Свойства==


Cosmetic Vertices have no properties of their own, as they are not Document Objects. They share color and size settings with regular geometry vertices.
Cosmetic vertices have no properties of their own, as they are not document objects. They share color and size settings with regular geometry vertices.


==Scripting==
<span id="Scripting"></span>
==Программирование==


{{Emphasis|See also:}} [[TechDraw_API|TechDraw API]] and [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].
{{Emphasis|См. так же:}} [[TechDraw_API/ru|TechDraw API]] и [[FreeCAD_Scripting_Basics/ru|Основы составления скриптов FreeCAD]].


Cosmetic Vertices are not accessible from [[Macros|macros]] or the [[Python|Python]] console at this time. This snippet will remove all Cosmetic Vertices from the View.
Cosmetic vertices are not accessible from [[Macros|macros]] or the [[Python|Python]] console at this time. This snippet will remove all cosmetic vertices from the view.


{{Code|code=
{{Code|code=
>>> v = App.ActiveDocument.View
v = App.ActiveDocument.View
>>> v.clearCV()
v.clearCV()
>>> App.activeDocument().recompute()
App.ActiveDocument.recompute()
}}
}}




{{Docnav
{{Docnav/ru
|[[TechDraw_CosmeticVertex|CosmeticVertex]]
|[[TechDraw_CosmeticVertex/ru|Добавить вспомогательную вершину]]
|[[TechDraw_Quadrants|Quadrants]]
|[[TechDraw_Quadrants/ru|Добавить 4-ре вершины по краям окружности]]
|[[TechDraw_Module|TechDraw]]
|[[TechDraw_Workbench/ru|Верстак "TechDraw"]]
|IconL=TechDraw_CosmeticVertex.svg
|IconL=TechDraw_CosmeticVertex.svg
|IconR=TechDraw_Quadrants.svg
|IconR=TechDraw_Quadrants.svg

Revision as of 09:01, 3 April 2024

Other languages:

Добавить вершины по центрам граней

Системное название
TechDraw_Midpoints
Расположение в меню
TechDraw → Добавить Вершины → Add Midpoints Vertices
Верстаки
TechDraw
Быстрые клавиши
Нет
Представлено в версии
0.19
См. также
Добавить вспомогательную вершину, Добавить 4-ре вершины по краям окружности

Описание

The TechDraw Midpoints tool adds cosmetic vertices at the midpoint of one or more selected edges.

Cosmetic vertices at the midpoint of edges

Применение

  1. Select one or more edges in a view.
  2. There are several ways to invoke the tool:
    • Press the Add Midpoint Vertices button.
    • Select the TechDraw → Add Vertices → Add Midpoint Vertices option from the menu.

Notes

  • The created cosmetic vertices are not parametrically linked to the selected edges.
  • To delete a cosmetic vertex select it and press Delete. introduced in version 0.22

Свойства

Cosmetic vertices have no properties of their own, as they are not document objects. They share color and size settings with regular geometry vertices.

Программирование

См. так же: TechDraw API и Основы составления скриптов FreeCAD.

Cosmetic vertices are not accessible from macros or the Python console at this time. This snippet will remove all cosmetic vertices from the view.

v = App.ActiveDocument.View
v.clearCV()
App.ActiveDocument.recompute()